- List all templates in project
Create a template in project
List all templates for a specific name
Delete template by name
Get template in project
Delete template by name and language
Update a template in project
Lists activities on project template
Creates a comment for a template
Compare two templates
Synchronize templates for project
List all templates in pro...
Returns a paginated list of templates for the specified project. If no page token is supplied then the first 50 templates are returned in alphabetical order.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates
curl -i -X GET \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates?pageToken=string&pageSize=1&fieldMask=whatsappId&filterStates=APPROVED&filterStatuses=DRAFT&templateAnalyticsDateRange=DAY&templateName=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'List of templates
One of:
Response
{ "totalSize": 0, "pageSize": 0, "previousPageToken": "string", "nextPageToken": "string", "templates": [ { … } ] }
We'd love to hear from you!
Rate this content: